CXXFLAGS = -std=c++11
OBJS = main.o Functions.o

OBJDIR := obj
DOBJS := $(addprefix $(OBJDIR)/,$(OBJS))

all: Zadatak7 

Zadatak7: $(DOBJS) 
	$(CXX) $(CXXFLAGS) -o $@ $(DOBJS)

$(OBJDIR)/%.o: %.cpp %.hpp | $(OBJDIR)
	$(CXX) $(CXXFLAGS) -c $< -o $@

$(OBJDIR):
	mkdir $(OBJDIR)

.PHONY: clean debug rebuild

debug: CXXFLAGS += -g

debug: all

rebuild: clean all

clean:
	rm -rf $(OBJDIR) 
	rm -f Zadatak7
